GNU/Linux Administration - Bug #621

Error Installing New Gems While Running Bundle Install
05/28/2015 12:03 PM - Daniel Curtis

Status: Closed Start date: 05/28/2015
Priority: High Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 1.00 hour
Target version: *nix Spent time: 1.50 hour

Description

| encountered an error while upgrading one of the ruby web applications | use, redmine in this case. The error happened when | ran
bundle install after updating the webapp, and stated:

You are trying to install in deployment mode after changing
your Gemfile. Run “bundle install’ elsewhere and add the
updated Gemfile.lock to version control.

The Fix
e | found a fix on a google groups thread, run the following to update the gem in no-deployment mode and then deployment
mode:
bundle install --without development test aws —--path vendor/bundle --no-deployment

bundle install --without development test aws —--path vendor/bundle --deployment

Resources

e hitps://groups.google.com/forum/#!topic/gitlabha/L3KFkgxpFWw

History

#1 - 06/01/2015 10:28 AM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 06/12/2015 10:32 AM - Daniel Curtis

- Status changed from Resolved to Closed
